//
//  MyNSView.h
//  Graphics Library
//
//  Created by Pooria Azimi on 18/10/11.
//  Copyright 2011 Tehran Polytechnic. All rights reserved.
//


#import <Cocoa/Cocoa.h>

@interface MyNSView : NSView {   
	
	NSBitmapImageRep* nsBitmapImageRepObj;
	NSRect nsRectFrameRect;
	
	NSUInteger*** imageBuffer;
	int bufferWidth, bufferHeight, bufferDepth;
	
	IBOutlet NSForm* lineForm;
	IBOutlet NSForm* circleForm;
	IBOutlet NSForm* ellipseForm;
	
	
}

-(void)initializeScreenWithWhiteColor;
-(void)paintBitmap;
-(void)putPixelAtX:(int)x Y:(int)y WithRed:(int)red Green:(int)green Blue:(int)blue Alpha:(int)alpha;
-(void)refreshScreen;

-(IBAction)drawLine:(id)sender;
-(IBAction)drawCircle:(id)sender;
-(IBAction)drawEllipse:(id)sender;
-(IBAction)clearScreen:(id)sender;

@end